al_convert_memory_bitmaps(3)

NAME

al_convert_memory_bitmaps - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_convert_memory_bitmaps(void)

DESCRIPTION

If you create a bitmap when there is no current display (for example because you have not called al_create_display(3) in the current thread) and are using the ALLEGRO_CONVERT_BITMAP bitmap flag (which is set by default) then the bitmap will be created successfully, but as a memory bitmap. This function converts all such bitmaps to proper video bitmaps belonging to the current display.

Note that video bitmaps get automatically converted back to memory bitmaps when the last display is destroyed.

This operation will preserve all bitmap flags except ALLEGRO_VIDEO_BITMAP and ALLEGRO_MEMORY_BITMAP.

SINCE

5.2.0

SEE ALSO

al_convert_bitmap(3), al_create_bitmap(3)